RDKit: RDKit::MolStandardize::Layout2DValidation Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
RDKit::MolStandardize::Layout2DValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::Layout2DValidation:

## Public Member Functions
| Layout2DValidation (double clashLimit=0.15, double bondLengthLimit=25., bool allowLongBondsInRings=true, bool allowAtomBondClashExemption=true, double minMedianBondLength=1e-3)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Static Public Member Functions
static double | squaredMedianBondLength (const ROMol &mol, const Conformer &conf)

## Public Attributes
double | clashLimit
double | bondLengthLimit
bool | allowLongBondsInRings
bool | allowAtomBondClashExemption
double | minMedianBondLength

## Detailed Description

The Layout2DValidation class reports an error if any atoms are too close to any other atoms or bonds, and in case any bonds are too long.

Definition at line 269 of file Validate.h.

## Constructor & Destructor Documentation

## ◆ Layout2DValidation()

RDKit::MolStandardize::Layout2DValidation::Layout2DValidation | ( | double | clashLimit = 0.15,
|  | double | bondLengthLimit = 25.,
|  | bool | allowLongBondsInRings = true,
|  | bool | allowAtomBondClashExemption = true,
|  | double | minMedianBondLength = 1e-3 )
| inline

Definition at line 271 of file Validate.h.

References allowAtomBondClashExemption, allowLongBondsInRings, bondLengthLimit, clashLimit, and minMedianBondLength.

## Member Function Documentation

## ◆ copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::Layout2DValidation::copy | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 282 of file Validate.h.

## ◆ squaredMedianBondLength()

static double RDKit::MolStandardize::Layout2DValidation::squaredMedianBondLength | ( | const ROMol & | mol,
|  | const Conformer & | conf )
| static

## ◆ validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::Layout2DValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures ) const
| overridevirtual

Implements RDKit::MolStandardize::ValidationMethod.

## Member Data Documentation

## ◆ allowAtomBondClashExemption

bool RDKit::MolStandardize::Layout2DValidation::allowAtomBondClashExemption

Definition at line 292 of file Validate.h.

Referenced by Layout2DValidation().

## ◆ allowLongBondsInRings

bool RDKit::MolStandardize::Layout2DValidation::allowLongBondsInRings

Definition at line 291 of file Validate.h.

Referenced by Layout2DValidation().

## ◆ bondLengthLimit

double RDKit::MolStandardize::Layout2DValidation::bondLengthLimit

Definition at line 290 of file Validate.h.

Referenced by Layout2DValidation().

## ◆ clashLimit

double RDKit::MolStandardize::Layout2DValidation::clashLimit

Definition at line 289 of file Validate.h.

Referenced by Layout2DValidation().

## ◆ minMedianBondLength

double RDKit::MolStandardize::Layout2DValidation::minMedianBondLength

Definition at line 293 of file Validate.h.

Referenced by Layout2DValidation().

The documentation for this class was generated from the following file:

- Validate.h